FreeMat

- Main Page
- Related Pages

vtkImageProcessingPass

Section: Visualization Toolkit Rendering Classes

# Usage

Abstract class with some convenient methods frequently used in subclasses.

.SECTION Implementation

To create an instance of class vtkImageProcessingPass, simply invoke its constructor as follows

      obj = vtkImageProcessingPass

# Methods

The class vtkImageProcessingPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageProcessingPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageProcessingPass = obj.NewInstance ()`
- `vtkImageProcessingPass = obj.SafeDownCast (vtkObject o)`
- `obj.ReleaseGraphicsResources (vtkWindow w)` - Release graphics resources and ask components to release their own resources.
  Precondition:
    w_exists: w!=0
- `vtkRenderPass = obj.GetDelegatePass ()` - Delegate for rendering the image to be processed. If it is NULL, nothing will be rendered and a warning will be emitted. It is usually set to a vtkCameraPass or to a post-processing pass. Initial value is a NULL pointer.
- `obj.SetDelegatePass (vtkRenderPass delegatePass)` - Delegate for rendering the image to be processed. If it is NULL, nothing will be rendered and a warning will be emitted. It is usually set to a vtkCameraPass or to a post-processing pass. Initial value is a NULL pointer.